Skip to main content
`Ctrl`+`K`

# pandas.DataFrame.dtypes

property DataFrame.dtypes

  Return the dtypes in the DataFrame.

  This returns a Series with the data type of each column. The result’s index is the original DataFrame’s columns. Columns with mixed types are stored with the `object` dtype. See the User Guide for more.

  Returns:
    pandas.Series

      The data type of each column.

  Examples

      >>> df = pd.DataFrame({'float': [1.0],
      ...                    'int': [1],
      ...                    'datetime': [pd.Timestamp('20180310')],
      ...                    'string': ['foo']})
      >>> df.dtypes
      float              float64
      int                  int64
      datetime    datetime64[ns]
      string              object
      dtype: object